Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkBMPWriter Class Reference

`#include <vtkBMPWriter.h>`

Inheritance diagram for vtkBMPWriter:

[legend]
Collaboration diagram for vtkBMPWriter:

[legend]
List of all members.

## Detailed Description

Writes Windows BMP files.

Date:
  2002/08/13 17:14:28

Revision:
  1.19

vtkBMPWriter writes BMP files. The data type of the file is unsigned char regardless of the input type.

See also:
  vtkBMPReader

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (89%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkBMPWriter.cxx)`
  - .`h` (`/IO/vtkBMPWriter.h)`

Tests:
  vtkBMPWriter (Tests)

Definition at line 48 of file vtkBMPWriter.h.

## Public Types
typedef vtkImageWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkBMPWriter * | New ()
int | IsTypeOf (const char *type)
vtkBMPWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkBMPWriter ()
| ~vtkBMPWriter ()
virtual void | WriteFile (ofstream *file, vtkImageData *data, int ext[6])
virtual void | WriteFileHeader (ofstream *, vtkImageData *)

## Member Typedef Documentation

typedef vtkImageWriter vtkBMPWriter::Superclass

| Reimplemented from vtkImageWriter. Definition at line 52 of file vtkBMPWriter.h.

## Constructor & Destructor Documentation

vtkBMPWriter::vtkBMPWriter | ( |  | ) | `[protected]`

vtkBMPWriter::~vtkBMPWriter | ( |  | ) | `[inline, protected]`

| Definition at line 57 of file vtkBMPWriter.h.

## Member Function Documentation

vtkBMPWriter* vtkBMPWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageWriter.

virtual const char* vtkBMPWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageWriter.

int vtkBMPWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageWriter.

virtual int vtkBMPWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageWriter.

vtkBMPWriter* vtkBMPWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageWriter.

virtual void vtkBMPWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageWriter.

virtual void vtkBMPWriter::WriteFile | ( | ofstream * | file,
|  | vtkImageData * | data,
|  | int | ext[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageWriter.

virtual void vtkBMPWriter::WriteFileHeader | ( | ofstream * | ,
|  | vtkImageData * |
| ) | `[protected, virtual]`

| Reimplemented from vtkImageWriter.

The documentation for this class was generated from the following file:

- IO/vtkBMPWriter.h